<?php
/*
Template Name: Archives
*/
?>


<?php get_header(); ?>

<div id="post-entry">


<?php include (TEMPLATEPATH . '/header-flv.php'); ?>

<?php /* include (TEMPLATEPATH . '/header-intro.php'); */ ?>



<?php if (have_posts()) : ?>

<?php include (TEMPLATEPATH . '/headline.php'); ?>

<?php while (have_posts()) : the_post(); ?>

<div class="post-meta" id="post-<?php the_ID(); ?>">

<div class="post-cat">
<?php the_category(', ') ?>&nbsp;&nbsp;&nbsp;&nbsp;<?php if(function_exists("UTW_ShowTagsForCurrentPost")) : ?><?php UTW_ShowTagsForCurrentPost("commalist", array('last'=>' and %taglink%', 'first'=>'Tags: %taglink%',)) ?><?php else : ?><?php if(function_exists("the_tags")) : ?><?php the_tags() ?><?php endif; ?><?php endif; ?>
</div>


<h1><?php the_title(); ?></h1>


<div class="post-author">
<?php _e('Posted by'); ?>&nbsp;<?php the_author_posts_link(); ?>&nbsp;<?php _e('in'); ?>&nbsp;<?php the_time('l, F jS Y') ?>&nbsp;&nbsp;&nbsp;<?php edit_post_link('edit'); ?>
</div>

<?php if(function_exists('the_ratings')){ ?>
<?php the_ratings(); ?>
<?php } ?>


<div class="post-content">
<h3>Monthly Archives</h3><ul><?php wp_get_archives('type=monthly') ?></ul>
<h3>Category Archives</h3><ul><?php wp_list_cats('sort_column=name&optioncount=1&feed=RSS') ?></ul>
<h3>Fresh Archives</h3><ul><?php get_archives('postbypost', 1000); ?></ul>
<h3>Tags Archives</h3>
<?php if(function_exists("UTW_ShowTagsForCurrentPost")) : ?>
<?php UTW_ShowWeightedTagSetAlphabetical("sizedtagcloud","","1000") ?>
<?php else : ?>
<?php if(function_exists("wp_tag_cloud")) : ?>
<?php wp_tag_cloud('smallest=8&largest=20&'); ?>
<?php endif; ?>
<?php endif; ?>
</div>


<?php include (TEMPLATEPATH . '/social.php'); ?>


</div>

<?php endwhile; ?>

<?php else: ?>

<?php include (TEMPLATEPATH . '/result.php'); ?>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>